Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 285541 - media-libs/jpeg-compat doesn't respect LDFLAGS
Summary: media-libs/jpeg-compat doesn't respect LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All All
: High QA (vote)
Assignee: Gentoo Graphics Project
URL:
Whiteboard:
Keywords: QAcanfix
Depends on:
Blocks: ldflags
  Show dependency tree
 
Reported: 2009-09-19 11:04 UTC by Davide Pesavento
Modified: 2010-08-09 21:00 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Davide Pesavento gentoo-dev 2009-09-19 11:04:38 UTC
QA: other
QA Notice: Files built without respecting LDFLAGS have been detected
 Please include the following list of files in your report:
/usr/lib64/libjpeg.so.62
Comment 1 Samuli Suominen gentoo-dev 2009-09-19 13:22:35 UTC
Problem inherited from media-libs/jpeg-6b, it was fixed in media-libs/jpeg-7 since they moved to using decent configure.ac / Makefile.am.

As usual, patch is accepted as otherwise this is only a transition package that should fade away.
Comment 2 Samuli Suominen gentoo-dev 2009-10-09 09:31:12 UTC
A waste of time.. but..

+  09 Oct 2009; Samuli Suominen <ssuominen@gentoo.org>
+  jpeg-compat-6b-r1.ebuild, +files/jpeg-compat-6b-ldflags.patch:
+  Respect LDFLAGS wrt #285541, thanks to Davide Pesavento for reporting.